Difference between revisions of "Draft Line/cs"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "==Vlastnosti== * {{PropertyData|Počátek}}: Počáteční bod * {{PropertyData|Konec}}: Koncový bod")
(Created page with "==Skriptování== Nástroj Přímka může být využit v makrech a z konzoly Pythonu použitím následující funkce:")
Line 25: Line 25:
 
* {{PropertyData|Konec}}: Koncový bod
 
* {{PropertyData|Konec}}: Koncový bod
  
==Scripting==
+
==Skriptování==
The Line tool can by used in [[macros]] and from the python console by using the following function:
+
Nástroj Přímka může být využit v [[macros|makrech]] a z konzoly Pythonu použitím následující funkce:
 
<syntaxhighlight>
 
<syntaxhighlight>
 
{{Code|code=
 
{{Code|code=

Revision as of 19:09, 20 January 2014

Draft Line.svg Draft Line

Menu location
Draft -> Line
Workbenches
Kreslení, Architektura
Default shortcut
L I
Introduced in version
-
See also
Kreslení drát


Popis

Nástroj Přímka vytváří rovnou dvoubodovou přímku v aktuální pracovní rovině. Použije se tloušťka čáry a barva předem zadaná v záložce Nástrojů. Nástroj Přímka se chová přesně stejně jako nástroj Drát kromě toho že končí po zadání dvou bodů.

Draft Line example.jpg

Použití

  1. Stiskněte tlačítko Draft Line.png Přímka nebo klávesy L pak I
  2. Klikněte na první bod ve 3D pohledu nebo zadejte souřadnice
  3. Klikněte na druhý bod ve 3D pohledu nebo zadejte souřadnice.

Volby

  • Po zadání prvního bodu stiskněte X, Y nebo Z pro určení osy druhého bodu.
  • Pro zadání souřadnic ručně, jednoduše zadejte číslo a stiskněte ENTER mezo každou z komponent X, Y a Z.
  • Stiskněte klávesu R nebo klikněte/odklikněte zaklikávací políčko Relativní. Je-li nastaven relativní mód jsou souřadnice následujícího bodu relativní k předchozímu bodu. Je-li mód absolutní souřadnice jsou vztaženy k počátečnímu bodu (0,0,0).
  • Stiskněte klávesu T nebo klikněte/odklikněte zaklikávací políčko Pokračovat. Je-li nastaven pokračovací mód, nástroj Přímka bude po ukončení křivky restartován a připraven ke kreslení další přímky bez nutnosti znovu jej spouštět klikáním na tlačítko Přímka.
  • Stiskněte při kreslení klávesu CTRL pro přichycení Vašeho bodu k nejbližšímu uchopovacímu místu, nezávisle na vzdálenosti od něho.
  • Stiskněte při kreslení klávesu SHIFT pro nastavení vazby Vašeho dalšího bodu vodorovně nebo svisle v relaci k předchozímu bodu.
  • Stiskněte klávesy CTRL+Z nebo tlačítko Draft UndoLine.png Undo k návratu na poslední bod.
  • Stiskněte klávesu ESC nebo tlačítko Cancel pro ukončení aktuálního příkazu Přímka.

Vlastnosti

  • DATAPočátek: Počáteční bod
  • DATAKonec: Koncový bod

Skriptování

Nástroj Přímka může být využit v makrech a z konzoly Pythonu použitím následující funkce:

{{Code|code=
makeLine (Vector, Vector)
}}
  • Creates a line between the two given vectors. The current draft linewidth and color will be used.
  • Returns the newly created object.

Example:

{{Code|code=
import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
}}
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎